SecurityCollection (Tomcat API Documentation)
Keywords: org.apache.catalina.deploy.SecurityCollection class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class SecurityCollection

    java.lang.Object
      org.apache.catalina.deploy.SecurityCollection

All Implemented Interfaces:
  java.io.Serializable

public final class SecurityCollection
extends java.lang.Object
implements java.io.Serializable

Representation of a web resource collection for a web application's security constraint, as represented in a `<web-resource-collection>` element in the deployment descriptor.

WARNING: It is assumed that instances of this class will be created and modified only within the context of a single thread, before the instance is made visible to the remainder of the application. After that, only read access is expected. Therefore, none of the read and write access within this class is synchronized.

Version:
  $Revision: 1.2 $ $Date: 2003/01/27 23:45:19 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Constructor Summary
`SecurityCollection()` Construct a new security collection instance with default values.
`SecurityCollection(java.lang.String name)` Construct a new security collection instance with specified values.
`SecurityCollection(java.lang.String name, java.lang.String description)` Construct a new security collection instance with specified values.

Method Summary
`void` | `addMethod(java.lang.String method)` Add an HTTP request method to be part of this web resource collection.
`void` | `addPattern(java.lang.String pattern)` Add a URL pattern to be part of this web resource collection.
`boolean` | `findMethod(java.lang.String method)` Return `true` if the specified HTTP request method is part of this web resource collection.
`java.lang.String[]` | `findMethods()` Return the set of HTTP request methods that are part of this web resource collection, or a zero-length array if all request methods are included.
`boolean` | `findPattern(java.lang.String pattern)` Is the specified pattern part of this web resource collection?
`java.lang.String[]` | `findPatterns()` Return the set of URL patterns that are part of this web resource collection.
`java.lang.String` | `getDescription()` Return the description of this web resource collection.
`java.lang.String` | `getName()` Return the name of this web resource collection.
`void` | `removeMethod(java.lang.String method)` Remove the specified HTTP request method from those that are part of this web resource collection.
`void` | `removePattern(java.lang.String pattern)` Remove the specified URL pattern from those that are part of this web resource collection.
`void` | `setDescription(java.lang.String description)` Set the description of this web resource collection.
`void` | `setName(java.lang.String name)` Set the name of this web resource collection
`java.lang.String` | `toString()` Return a String representation of this security collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityCollection

    public SecurityCollection()

  Construct a new security collection instance with default values.

### SecurityCollection

    public SecurityCollection(java.lang.String name)

  Construct a new security collection instance with specified values.

Parameters:
  `name` - Name of this security collection

### SecurityCollection

    public SecurityCollection(java.lang.String name,
                              java.lang.String description)

  Construct a new security collection instance with specified values.

Parameters:
  `name` - Name of this security collection
  `description` - Description of this security collection

Method Detail

### getDescription

    public java.lang.String getDescription()

  Return the description of this web resource collection.

### setDescription

    public void setDescription(java.lang.String description)

  Set the description of this web resource collection.

  Parameters:
    `description` - The new description

### getName

    public java.lang.String getName()

  Return the name of this web resource collection.

### setName

    public void setName(java.lang.String name)

  Set the name of this web resource collection

  Parameters:
    `name` - The new name

### addMethod

    public void addMethod(java.lang.String method)

  Add an HTTP request method to be part of this web resource collection.

### addPattern

    public void addPattern(java.lang.String pattern)

  Add a URL pattern to be part of this web resource collection.

### findMethod

    public boolean findMethod(java.lang.String method)

  Return `true` if the specified HTTP request method is part of this web resource collection.

  Parameters:
    `method` - Request method to check

### findMethods

    public java.lang.String[] findMethods()

  Return the set of HTTP request methods that are part of this web resource collection, or a zero-length array if all request methods are included.

### findPattern

    public boolean findPattern(java.lang.String pattern)

  Is the specified pattern part of this web resource collection?

  Parameters:
    `pattern` - Pattern to be compared

### findPatterns

    public java.lang.String[] findPatterns()

  Return the set of URL patterns that are part of this web resource collection. If none have been specified, a zero-length array is returned.

### removeMethod

    public void removeMethod(java.lang.String method)

  Remove the specified HTTP request method from those that are part of this web resource collection.

  Parameters:
    `method` - Request method to be removed

### removePattern

    public void removePattern(java.lang.String pattern)

  Remove the specified URL pattern from those that are part of this web resource collection.

  Parameters:
    `pattern` - Pattern to be removed

### toString

    public java.lang.String toString()

  Return a String representation of this security collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.